This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1004910 - Non-existent ERB files declared in processed templates result in empty result files
Non-existent ERB files declared in processed templates result in empty result...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 13:45 EDT by Paul Morie
Modified: 2015-05-14 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 12:49:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Morie 2013-09-05 13:45:12 EDT
If managed_files.yml declares a non-existent ERB file in its processed_templates section, an empty result file is created anyway.  Instead, we should warn the user (targeting the cart developer during the development phase of a cartridge), and not create the result file.
Comment 1 openshift-github-bot 2013-09-08 19:56:59 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/ffd859ed49acf300e1bcd61324fa16595191c888
Fix bug 1004910: provide warning when processed_templates declares a non-existent file
Comment 2 Yan Du 2013-09-09 04:13:14 EDT
test on devenv_3758

steps:
1. ssh into instance and declares a non-existent ERB file in its processed_templates section in managed_files.yml.
2. create an app via CLI

[root@Daphne test]# rhc app create j7 jbossas-7
Application Options
-------------------
  Namespace:  111
  Cartridges: jbossas-7
  Gear Size:  default
  Scaling:    no

Creating application 'j7' ... done

  File declared in processed_templates does not exist and will not be rendered: /var/lib/openshift/522d81312b0e83efbc000001/jbossas/metadata/jenkins_artifacts_globaaa.erbadded manifest
  Artifacts deployed: ./ROOT.war

Waiting for your DNS name to be available ... done

move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.